> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all badges

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/badges/

Return the list of badge details information belonging to a directory

Reference: https://docs.partnerpage.io/api-reference/directory/badges/get-all-badges

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — ID of the directory containing the badges

## Response

### 200

Successful operation

- `list of BadgeSerializerReader`

## Types

### BadgeSerializerReader

Badges read serializer

- `href` (string, required)
- `title` (string, required)
- `image` (string, required, nullable)
- `id` (string, required)
- `imageUrl` (string, optional, nullable)

## Examples

**Response**

```json
[
  {
    "href": "string",
    "title": "string",
    "image": "string",
    "id": "string",
    "imageUrl": "string"
  }
]
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/badges/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/badges/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```